Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.util
Class Configuration

    java.lang.Object
      org.apache.slide.util.Configuration

public abstract class Configuration
extends java.lang.Object

Provides default configuration for Slide components from the `slide.properties` configuration file. All slide features rely on the central configuration file.

The configuration file is loaded from the Java `lib` directory, the classpath and the Castor JAR. Properties set in the classpath file takes precedence over properties set in the Java library configuration file and properties set in the Slide JAR, allowing for each customization. All three files are named `slide.properties`.

For example, to change the domain init file in use, create a new configuration file in the current directory, instead of modifying the global one.

Version:
  $Revision: 1.19 $ $Date: 2004/07/28 09:34:29 $

Nested Class Summary
`static class` | `Configuration.Property` Names of properties used in the configuration file.

Constructor Summary
`Configuration()`

Method Summary
`static boolean` | `debug()` Returns true if the default configuration specified debugging.
`static boolean` | `fireEvents()` Returns true if events are enabled by default
`static java.util.Properties` | `getDefault()` Returns the default configuration file.
`protected static void` | `load()` Called by `getDefault()` to load the configuration the first time.
`static java.lang.String` | `urlEncoding()` Returns the used URL encoding.
`static boolean` | `useBinding(Store store)`
`static boolean` | `useGlobalBinding()` TODO: dump? Returns true if binding is enabled.
`static boolean` | `useIntegratedLocking()` Returns true if integrated lock checking is used.
`static boolean` | `useIntegratedSecurity()` Returns true if integrated security checking is used.
`static boolean` | `usePrincipalIdentifiedLocks()` Returns true if Principal identified locks are enabled.
`static boolean` | `useSearch()` Returns true if search is enabled.
`static boolean` | `useVersionControl()` Returns true if version control is used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration

    public Configuration()

Method Detail

### debug

    public static boolean debug()

  Returns true if the default configuration specified debugging.

### useIntegratedSecurity

    public static boolean useIntegratedSecurity()

  Returns true if integrated security checking is used.

### useIntegratedLocking

    public static boolean useIntegratedLocking()

  Returns true if integrated lock checking is used.

### useVersionControl

    public static boolean useVersionControl()

  Returns true if version control is used.

### useSearch

    public static boolean useSearch()

  Returns true if search is enabled.

### useBinding

    public static boolean useBinding(Store store)

### useGlobalBinding

    public static boolean useGlobalBinding()

  TODO: dump? Returns true if binding is enabled.

### fireEvents

    public static boolean fireEvents()

  Returns true if events are enabled by default

### urlEncoding

    public static java.lang.String urlEncoding()

  Returns the used URL encoding.

### usePrincipalIdentifiedLocks

    public static boolean usePrincipalIdentifiedLocks()

  Returns true if Principal identified locks are enabled.

### getDefault

    public static java.util.Properties getDefault()

  Returns the default configuration file. Changes to the returned properties set will affect all Castor functions relying on the default configuration.

  Returns:
    The default configuration

### load

    protected static void load()

  Called by `getDefault()` to load the configuration the first time. Will not complain about inability to load configuration file from one of the default directories, but if it cannot find the JAR's configuration file, will throw a run time exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD